summaryrefslogtreecommitdiffstats
path: root/bin/chroot-installation.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2013-04-21 13:09:26 +0200
committerHolger Levsen <holger@layer-acht.org>2013-04-21 13:09:26 +0200
commitc75b6a3efe3478b9acd9985c19431e601af02df0 (patch)
treee83fcb7456502bd22f123a1338f74c5d9e5242d9 /bin/chroot-installation.sh
parente2a714e6d1d92cfeed0edb51880bdd4a5075e67d (diff)
downloadjenkins.debian.net-c75b6a3efe3478b9acd9985c19431e601af02df0.tar.xz
fixup: workaround #705452
Diffstat (limited to 'bin/chroot-installation.sh')
-rwxr-xr-xbin/chroot-installation.sh4
1 files changed, 1 insertions, 3 deletions
diff --git a/bin/chroot-installation.sh b/bin/chroot-installation.sh
index 271e7db0..cf3bb830 100755
--- a/bin/chroot-installation.sh
+++ b/bin/chroot-installation.sh
@@ -63,8 +63,6 @@ echo -e '#!/bin/sh\nexit 101' > /usr/sbin/policy-rc.d
chmod +x /usr/sbin/policy-rc.d
echo 'Acquire::http::Proxy "http://localhost:3128";' > /etc/apt/apt.conf.d/80proxy
echo "deb-src $MIRROR $1 main contrib non-free" >> /etc/apt/sources.list
-# work around #703146
-rm /var/lib/apt/lists/*Release
apt-get update
EOF
}
@@ -92,7 +90,7 @@ echo "deb $MIRROR $1 main contrib non-free" > /etc/apt/sources.list
$SCRIPT_HEADER
apt-get update
# workaround #705452
-(dpkg -l docbook-xml && apt-get -y install docbook-xml) || true
+(dpkg -l xml-core && apt-get -y install xml-core docbook-xml) || true
apt-get -y upgrade
apt-get -y dist-upgrade
apt-get -y dist-upgrade